InitializationError (JUnit API)
Date: 2018-08-04

org.junit.runners.model

## Class InitializationError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.junit.runners.model.InitializationError

- All Implemented Interfaces:
    java.io.Serializable

      public class InitializationError
      extends java.lang.Exception

  Represents one or more problems encountered while initializing a Runner
  Since:
    4.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InitializationError(java.util.List<java.lang.Throwable> errors)` Construct a new `InitializationError` with one or more errors `errors` as causes
    `InitializationError(java.lang.String string)` Construct a new `InitializationError` with one cause with message `string`
    `InitializationError(java.lang.Throwable error)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.Throwable>` | `getCauses()` Returns one or more Throwables that led to this initialization error.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InitializationError

          public InitializationError(java.util.List<java.lang.Throwable> errors)

      Construct a new `InitializationError` with one or more errors `errors` as causes

    - #### InitializationError

          public InitializationError(java.lang.Throwable error)

    - #### InitializationError

          public InitializationError(java.lang.String string)

      Construct a new `InitializationError` with one cause with message `string`

  - ### Method Detail

    - #### getCauses

          public java.util.List<java.lang.Throwable> getCauses()

      Returns one or more Throwables that led to this initialization error.